replicaCount: 2

auth:
  adminPassword: en to tre fire
  existingSecret: ""
  managementPassword: ""

postgresql:
  enabled: false

resourcesPreset: "none"
resources:
  limits:
    cpu: 750m
    ephemeral-storage: 2Gi
    memory: 1500Mi
  requests:
    cpu: 500m
    ephemeral-storage: 50Mi
    memory: 512Mi

externalDatabase:
  host: prod-keycloak-db-rw
  port: 5432
  database: app
  existingSecret: prod-keycloak-db-app
  existingSecretUserKey: username
  existingSecretPasswordKey: password

extraVolumeMounts:
- mountPath: /opt/bitnami/keycloak/themes/oceanbox
  name: theme

extraVolumes:
- emptyDir: {}
  name: theme

ingress:
  hostname: auth.oceanbox.io

keycloakConfigCli:
  enabled: false
  configuration:
    master.json: |
      {
        "realm" : "master",
        "attributes": {
          "frontendUrl": "https://auth.oceanbox.io"
        }
      }

initContainers: |
  - name: keycloak-theme-provider
    image: git.oceanbox.io/platform/keycloak-theme:latest
    imagePullPolicy: IfNotPresent
    command:
      - sh
    args:
      - -c
      - |
        echo "Copying theme..."
        cp -R /theme/* /keycloak/themes/oceanbox
    volumeMounts:
      - name: theme
        mountPath: /keycloak/themes/oceanbox

automountServiceAccountToken: true

serviceAccount:
  create: true
  automountServiceAccountToken: true

extraDeploy:
- apiVersion: postgresql.cnpg.io/v1
  kind: Cluster
  metadata:
    name: prod-keycloak-db
    namespace: keycloak
  spec:
    instances: 2
    imageName: ghcr.io/cloudnative-pg/postgresql:17.2-27-bookworm
    storage:
      resizeInUseVolumes: true
      size: 10Gi
- apiVersion: barmancloud.cnpg.io/v1
  kind: ObjectStore
  metadata:
    name: tos-store
    namespace: keycloak
  spec:
    retentionPolicy: "7d"
    configuration:
      destinationPath: s3://cnpg/prod-keycloak-db
      endpointURL: http://10.255.241.30:30080
      s3Credentials:
        accessKeyId:
          name: cnpg-s3
          key: access_key
        secretAccessKey:
          name: cnpg-s3
          key: access_secret
      wal:
        compression: snappy
- apiVersion: postgresql.cnpg.io/v1
  kind: ScheduledBackup
  metadata:
    name: prod-keycloak-db
    namespace: keycloak
  spec:
    schedule: "0 0 1 * * *"
    backupOwnerReference: self
    cluster:
      name: prod-keycloak-db
    method: plugin
    pluginConfiguration:
      name: barman-cloud.cloudnative-pg.io
- apiVersion: monitoring.coreos.com/v1
  kind: PodMonitor
  metadata:
   name: prod-keycloak-db-monitor
  spec:
    selector:
      matchLabels:
        cnpg.io/cluster: prod-keycloak-db
    podMetricsEndpoints:
    - port: metrics
